function main(self)
	if self.State == 0 then
		self.Flags.AlwaysActive, self.DrawFlags.NoDraw = true, true
		self.State = 1
		for a = 320, 63999, 640 do
			local abyss = CreateObject {x=0, y=0, z=5000, logic="CustomLogic", name="Abyss"}
			abyss.X, abyss.Y = a, self.YMin + 128
			abyss.YMin, abyss.YMax = self.YMin, self.YMin + 512
			abyss.XMin, abyss.XMax = a - 319, a + 320
		end
	end
	if self.State == 1 then
		self.State = 2
	end
	if self.State == 2 then
		self:Destroy()
	end
end